
<?php
/* 
 * Options page for the family friendly plugin
 * 
 * Distributed under GNU GENERAL PUBLIC LICENSE - please see license.txt for more details
    Copyright (C) 2018  James Konik
 * 
 */

    //count setting filtered by each setting
    $rcount = family_friendly_count_affected_posts( FAMILY_FRIENDLY_USER_LEVEL_RED );
    $gcount = family_friendly_count_affected_posts( FAMILY_FRIENDLY_USER_LEVEL_GREEN );
    $ycount = family_friendly_count_affected_posts( FAMILY_FRIENDLY_USER_LEVEL_YELLOW );
    
    /**
     * returns the string posts, or post if there is just 1..
     * @param type $number
     */
    function family_friendly_post_text( $number ) {
        if( $number == 1 ) {
            return ' post.';
        }
        return ' posts.';
    }
    
?>

<div class="wrap">
    <script type="text/javascript">
    
    function familyFriendlyRestoreDefaultCookieText() {
        var defaultWarningText = 'Family Friendly uses cookies to store user preferences. Settings will be lost if cookies are cleared or blocked';
        document.getElementById( 'family_friendly_cookie_warning_text' ).value = defaultWarningText;
    }
    
    function familyFriendlyRestoreWidgetText() {
        var defaultMainText = 'Select a rating for family friendly to use:';
        document.getElementById( 'family_friendly_main_widget_text' ).value = defaultMainText;
    }
    
    function familyFriendlyRestoreTitleText() {
        var defaultTitleText = 'Family Friendly';
        document.getElementById( 'family_friendly_widget_title' ).value = defaultTitleText;
    }
    
    function familyFriendlyShowAdvanced(){
        var checkbox = document.getElementById( 'family-friendly-advanced-settings' );
        if ( false === checkbox.checked ) {
            document.getElementById( 'family-friendly-hidable' ).style.display = 'none';
        } else {
            document.getElementById( 'family-friendly-hidable' ).style.display = '';
        }
    }
    
    </script>
    
    <h1>Family Friendly Plugin Settings</h1>
    Please select your preferred options.
    <form method="post" action="options.php" class="family-friendly-settings-area"> 
    <?php
    settings_fields( 'family-friendly-options' );
    do_settings_sections( 'family-friendly-options' );
    
    $O = get_option( 'family-friendly-options' );
    $default_level = $O['family_friendly_default_level'];
    ?>
        
    Please add words to be filtered by each setting. Separate words with commas, e.g. dog, cat, rabbit.
    <p />
    <!-- Pick the default level that users will use if they have not selected an option from the widget-->
    
    <span class="family-friendly-settings-area-table-title-text"> Default Level (if user has not selected an option)</span>  
    <select name="family-friendly-options[family_friendly_default_level]" id="family_friendly_default_level">
    <option value="none" <?php echo ($default_level==FAMILY_FRIENDLY_USER_LEVEL_NONE)?'selected':''; ?>>None</option>
    <option value="green" <?php echo ($default_level==FAMILY_FRIENDLY_USER_LEVEL_GREEN)?'selected':''; ?>>Green</option>
    <option value="yellow" <?php echo ($default_level==FAMILY_FRIENDLY_USER_LEVEL_YELLOW)?'selected':''; ?>>Yellow</option>
    <option value="red" <?php echo ($default_level==FAMILY_FRIENDLY_USER_LEVEL_RED)?'selected':''; ?>>Red</option></select>
    
    
    <table class="family-friendly-settings-area-table">
        <tr>
            <td>
                <img src="<?php echo plugins_url( 'img/U.png', __FILE__ ); ?>" alt="rating-U" />
            </td>
            <td class="family-friendly-settings-area-table-title-text">
                U Banned Words
            </td>
            <td>
                <input type="text" name="family-friendly-options[family_friendly_primary_banned_words]" value="<?php echo esc_attr( $O['family_friendly_primary_banned_words'] ); ?>" />
            </td>
            <td>
                Use U:
                <input name="family-friendly-options[family_friendly_use_green]" type="checkbox" value="1" <?php checked( '1', $O['family_friendly_use_green'] ); ?> />
            </td>
            <td>
                This setting affects <?php echo $gcount; echo family_friendly_post_text($gcount); ?>
            </td>
        </tr>
        <tr>
            <td>
                <img src="<?php echo plugins_url( 'img/PG.png', __FILE__ ) ?>" alt="rating-PG" /></td>
            </td>
            <td class="family-friendly-settings-area-table-title-text">
                PG Banned Words
            <td>
                <input type="text" name="family-friendly-options[family_friendly_secondary_banned_words]" value="<?php echo esc_attr( $O['family_friendly_secondary_banned_words'] ); ?>" />
            </td>
            <td>
                Use PG:        
                <input name="family-friendly-options[family_friendly_use_yellow]" type="checkbox" value="1" <?php checked( '1', $O['family_friendly_use_yellow'] ); ?> />
            </td>
            <td>
                This setting affects <?php echo $ycount;  echo family_friendly_post_text($ycount); ?>
            </td>
        </tr>
        <tr>
            <td>
                <img src="<?php echo plugins_url( 'img/18.png', __FILE__ )?>" alt="rating-18" />
            </td>
            <td class="family-friendly-settings-area-table-title-text">
                Always Banned Words
            </td>
            <td>
                <input type="text" name="family-friendly-options[family_friendly_always_banned_words]" value="<?php echo esc_attr( $O['family_friendly_always_banned_words'] ); ?>" />
            </td>
            <td>
                Use 18:
                <input name="family-friendly-options[family_friendly_use_red]" type="checkbox" value="1" <?php checked('1', (1 == $O['family_friendly_use_red']) ? 1 : 0); ?> />
            </td>
            <td>
                This setting affects <?php echo $rcount; echo family_friendly_post_text($rcount); ?> 
            </td>
        </tr>
        <tr>
            <td colspan="2" class="family-friendly-settings-area-table-title-text">
                Show/hide advanced settings
            </td>
            <td>
                <input name="family-friendly-options[family_friendly_show_advanced_settings]" id="family-friendly-advanced-settings" onclick="familyFriendlyShowAdvanced()" type="checkbox" value="1" <?php checked( '1', $O['family_friendly_show_advanced_settings'] ); ?> />
            </td>
        </tr>
    </table>
        
    <div id="family-friendly-hidable" style="display: <?php echo( (1 == $O['family_friendly_show_advanced_settings']) ? '' : 'none'); ?>;">
        <p>
        <table class="family-friendly-settings-area-table" >
            <tr>
                <td style="width:25%" class="family-friendly-settings-area-table-title-text">
                    Set widget title
                </td>
                <td>
                    <input type="text" name="family-friendly-options[family_friendly_widget_title]" id="family_friendly_widget_title" class="family-friendly-settings-area-table-second-column" value="<?php echo esc_attr( $O['family_friendly_widget_title'] ); ?>" />
                </td>
                <td>
                    <input name="default_title_text_button" value="use default" type="button" class="family-friendly-settings-area-button" onclick="familyFriendlyRestoreTitleText()" />
                </td>
            </tr>
            <tr>
                <td class="family-friendly-settings-area-table-title-text">
                    Set widget text
                </td>
                <td>
                    <input type="text" name="family-friendly-options[family_friendly_main_widget_text]" id="family_friendly_main_widget_text" class="family-friendly-settings-area-table-second-column" value="<?php echo esc_attr( $O['family_friendly_main_widget_text'] ); ?>" />
                </td>
                <td>
                    <input name="default_main_text_button" value="use default" type="button" class="family-friendly-settings-area-button" onclick="familyFriendlyRestoreWidgetText()" />
                </td>
            </tr>
            <tr>
                <td class="family-friendly-settings-area-table-title-text">
                    Display cookie warning text
                </td>
                <td>
                    <input name="family-friendly-options[family_friendly_cookie_warning]" type="checkbox" value="1" <?php checked( '1', $O['family_friendly_cookie_warning'] ); ?> />
                </td>
            </tr>
            <tr>
                <td class="family-friendly-settings-area-table-title-text">
                    Set cookie warning text
                </td>
                <td>
                    <input type="text" name="family-friendly-options[family_friendly_cookie_warning_text]" id="family-friendly-options[family_friendly_cookie_warning_text]" class="family-friendly-settings-area-table-second-column" value="<?php echo esc_attr( $O['family_friendly_cookie_warning_text'] ); ?>" />
                </td>
                <td>
                    <input name="default_cookie_warning_button" value="use default" type="button" class="family-friendly-settings-area-button" onclick="familyFriendlyRestoreDefaultCookieText()" />
                </td>
            </tr>
            <tr>
                <td class="family-friendly-settings-area-table-title-text">
                    Display the widget to users
                </td>
                <td>
                    <input name="family-friendly-options[family_friendly_show_widget]" type="checkbox" value="1" <?php checked( '1', $O['family_friendly_show_widget'] ); ?> />
                </td>
            </tr>
            <tr>
                <td class="family-friendly-settings-area-table-title-text">
                    Show warning if cookies are blocked
                </td>
                <td>
                    <input name="family-friendly-options[family_friendly_cookies_disabled_warning]" type="checkbox" value="1" <?php checked( '1', $O['family_friendly_cookies_disabled_warning'] ); ?> />
                </td>
            </tr>
        </table>
    </div><!--'end 'family-friendly-hidable'-->            
           
    <?php submit_button(); ?>
    </form>
</div><!--ends 'wrap'-->